#include <SPI.h>
#include <Ethernet.h>
boolean Ready = false;
byte mac[] = { 0x90, 0xA2, 0xDA, 0x0F, 0x67, 0xC8  };
EthernetServer server(80);

void setup()
{
  Serial.begin(9600);
  Ethernet.begin(mac);
  Serial.print("My IP address: ");  
  Serial.println( Ethernet.localIP() );
  server.begin();
  pinMode(9, OUTPUT);
}
void loop()
{
  EthernetClient client = server.available();
  if (client) {
    boolean currentLineIsBlank = true;
    while (client.connected()) {
      if (client.available()) {
        char c = client.read();
        Serial.print(c);
        
        if(c == '$') {
          Ready = true; 
        } else if ( Ready == true && c == '1') {
          digitalWrite(9, HIGH);
        } else if ( Ready == true && c == '2') {
          digitalWrite(9, LOW);
        } else {
          Ready = false;
        } 

        if (c == '\n') {
          currentLineIsBlank = true;
        } else if (c != '\r') {
          currentLineIsBlank = false;
        }
      }
    }
    delay(1);
    client.stop();
  }
}


