#include <SPI.h>
#include <Ethernet.h>
boolean Ready = false;
byte mac[] = { 0x90, 0xA2, 0xDA, 0x0D, 0x24, 0x5E };
EthernetServer server(80);
String HTTP_req;

void setup()
{
  Serial.begin(9600);
  Ethernet.begin(mac);
  Serial.print("My IP address: ");  
  Serial.println( Ethernet.localIP() );
  server.begin();
  pinMode(9, OUTPUT);
}
void loop()
{
  EthernetClient client = server.available();
  if (client) {
    boolean currentLineIsBlank = true;
    while (client.connected()) {
      if (client.available()) {
        char c = client.read();
        HTTP_req += c;
        Serial.print(c);
        if (c == '\n' && currentLineIsBlank) {
            if ( HTTP_req.indexOf("$1") > -1 ) {
              digitalWrite(9, HIGH);
            }
            if ( HTTP_req.indexOf("$2") > -1 ) {
              digitalWrite(9, LOW);
            }
            break;
        }

        if (c == '\n') {
          currentLineIsBlank = true;
        } else if (c != '\r') {
          currentLineIsBlank = false;
        }
      }
    }
    delay(1);
    client.stop();
  }
}


